package com.yeejoin.amos.boot.module.common.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value="SelectItem", description="下拉表单值")
public class SelectItem implements Serializable{

	private static final long serialVersionUID = 1L;

		@ApiModelProperty(value = "key")
	    private String key;

	    @ApiModelProperty(value = "名称")
	    private String label;

	    @ApiModelProperty(value = "值")
	    
	    private String value;
	    
	  
		public SelectItem(String key, String label, String value) {
			super();
			this.key = key;
			this.label = label;
			this.value = value;		
			
		}

		@Override
		public String toString() {
			return "SelectItem []";
		}
	    
	    

}
